using System;
using System.Reflection;
using System.Collections;
using Server;
using Server.Menus;
using Server.Menus.Questions;
using Server.Network;

namespace Server.Gumps
{
	public class SetEnumMenu : QuestionMenu
	{
		private PropertyInfo m_Property;
		private Mobile m_Mobile;
		private object m_Object;
		private int m_Page;
		private ArrayList m_List;

		public SetEnumMenu( PropertyInfo prop, Mobile mobile, object o, int page, ArrayList list ) : base( prop.Name, Enum.GetNames( prop.PropertyType ) )
		{
			m_Property = prop;
			m_Mobile = mobile;
			m_Object = o;
			m_Page = page;
			m_List = list;
		}

		public override void OnResponse( NetState state, int index )
		{
			try
			{
				Server.Scripts.Commands.CommandLogging.LogChangeProperty( m_Mobile, m_Object, m_Property.Name, Answers[index] );
				m_Property.SetValue( m_Object, Enum.Parse( m_Property.PropertyType, Answers[index], false ), null );
			}
			catch
			{
				m_Mobile.SendMessage( "An exception was caught. The property may not have changed." );
			}

			m_Mobile.SendGump( new PropertiesGump( m_Mobile, m_Object, m_List, m_Page ) );
		}

		public override void OnCancel(NetState state)
		{
			m_Mobile.SendGump( new PropertiesGump( m_Mobile, m_Object, m_List, m_Page ) );
		}
	}
}