using System;
using Server.Items;
using Server.Network;

namespace Server.Items
{
	[FlipableAttribute( 0x13FB, 0x13FA )]
	public class LargeBattleAxe : BaseAxe
	{
		[Constructable]
		public LargeBattleAxe() : base( 6, 38, 30, 0x232, 0x23A, 1, SkillName.Swords, WeaponType.Axe, WeaponAnimation.Slash2H, 0x13FB, Layer.TwoHanded )
		{
			Weight = 6.0;
			StrRequirement = 40;
		}

		public LargeBattleAxe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}