using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x143E, 0x143F )]
	public class Halberd : BasePoleArm
	{
		[Constructable]
		public Halberd() : base( 5, 49, 25, 0x237, 0x238, 1, SkillName.Swords, WeaponType.Polearm, WeaponAnimation.Slash2H, 0x143E, Layer.TwoHanded )
		{
			Weight = 16.0;
			StrRequirement = 45;
		}

		public Halberd( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}