using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0xE87, 0xE88 )]
	public class Pitchfork : BaseSpear
	{
		[Constructable]
		public Pitchfork() : base( 4, 16, 45, 0x23C, 0x238, 1, SkillName.Fencing, WeaponType.Piercing, WeaponAnimation.Pierce2H, 0xE87, Layer.TwoHanded )
		{
			Weight = 10.0;
			StrRequirement = 15;
		}

		public Pitchfork( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}