/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 23.1
Skill 3rd 29.1
Skill 4th 35.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("an eagle corpse")]
	public class Eagle : BaseCreature
	{
		[Constructable]
		public Eagle() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 5;
			this.Name = ("an eagle");
			this.VirtualArmor = 22;
			this.BaseSoundID = 0x2EE;

			this.InitStats(Utility.Random(32,15),Utility.Random(36,25),Utility.Random(10,9));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(24,9);
			this.Skills[SkillName.Tactics].Base = Utility.Random(20,17);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(17,18);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 17.1;// Skill 1st
			MaxTameSkill = 41.1;// Skill 5th
		}

		public override int Meat{ get{ return 1; } }
		public override MeatType MeatType{ get{ return MeatType.Bird; } }
		public override int Feathers{ get{ return 36; } }

		public Eagle(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}