/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 83.1
Skill 3rd 89.1
Skill 4th 95.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a giant toad corpse")]
	public class Gianttoad : BaseCreature
	{
		[Constructable]
		public Gianttoad() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 80;
			this.Name = ("a giant toad");
			this.VirtualArmor = 24;

			this.InitStats(Utility.Random(79,21),Utility.Random(10,14),Utility.Random(10,16));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(45,17);
			this.Skills[SkillName.Tactics].Base = Utility.Random(41,18);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(26,13);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 77.1;// Skill 1st
			MaxTameSkill = 101.1;// Skill 5th
		}

		public override int Hides{ get{ return 12; } }
		public override HideType HideType{ get{ return HideType.Spined; } }

		public Gianttoad(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x26B; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x26C; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x26D; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x26E; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x26F; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}