using System;
using Server.Items;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a sea serpant corpse")]
	public class Seaserpant : BaseCreature
	{
		[Constructable]
		public Seaserpant() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0x96;
			this.Name = ("a sea serpant");
			this.VirtualArmor = 30;

			CanSwim = true;
			CantWalk = true;

			this.InitStats(Utility.Random(186,30),Utility.Random(62,22),Utility.Random(61,27));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(64,10);
			this.Skills[SkillName.Tactics].Base = Utility.Random(60,10);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(64,16);
			this.Skills[SkillName.Magery].Base = Utility.Random(9,5);

			this.Fame = Utility.Random(5000,4999);
			this.Karma = Utility.Random(-5000,-4999);

			PackItem( new SpecialFishingNet() );
		}

		public Seaserpant(Serial serial) : base(serial)
		{
		}

		public override int GetIdleSound() 
		{ 
			return 0x1BF; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x1C0; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x1C1; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x1C2; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}