using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a giant serpant corpse")]
	public class Serpant : BaseCreature
	{
		[Constructable]
		public Serpant() : base(AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0x15;
			this.Name = ("a giant serpant");
			this.VirtualArmor = 32;

			this.Hue = Utility.RandomSnakeHue();

			this.InitStats(Utility.Random(188,28),Utility.Random(56,23),Utility.Random(69,17));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(65,17);
			this.Skills[SkillName.Tactics].Base = Utility.Random(65,6);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(26,15);
			this.Skills[SkillName.Poisoning].Base = Utility.Random(78,23);

			this.Fame = Utility.Random(1250,1249);
			this.Karma = Utility.Random(-1250,-1249);
		}

		public override int Meat{ get{ return 4; } }
		public override int Hides{ get{ return 15; } }
		public override HideType HideType{ get{ return HideType.Spined; } }

		public Serpant(Serial serial) : base(serial)
		{
		}

		public override int GetIdleSound() 
		{ 
			return 0x1BF; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x1C0; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x1C1; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x1C2; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}