using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("an ice serpant corpse")]
	public class Iceserpant : BaseCreature
	{
		[Constructable]
		public Iceserpant() : base(AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			this.Body = 89;
			this.Name = ("a giant ice serpant");
			this.VirtualArmor = 32;

			this.InitStats(Utility.Random(222,23),Utility.Random(26,24),Utility.Random(67,18));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(60,22);
			this.Skills[SkillName.Tactics].Base = Utility.Random(75,2);
			this.Skills[SkillName.MagicResist].Base = (26);

			this.Fame = Utility.Random(2500,2499);
			this.Karma = Utility.Random(-2500,-2499);
		}

		public Iceserpant(Serial serial) : base(serial)
		{
		}

		public override int GetIdleSound() 
		{ 
			return 0x1BF; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x1C0; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x1C1; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x1C2; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}