/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 86.7
Skill 3rd 92.7
Skill 4th 98.7
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a lava lizard corpse")]
	public class Lavalizard : BaseCreature
	{
		[Constructable]
		public Lavalizard() : base(AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Hue = Utility.RandomList(0x647,0x650,0x659,0x662,0x66B,0x674);
			this.Body = 0xCE;
			this.Name = ("a lava lizard");
			this.VirtualArmor = 40;

			this.InitStats(Utility.Random(126,24),Utility.Random(56,19),Utility.Random(11,10));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(65,18);
			this.Skills[SkillName.Tactics].Base = Utility.Random(61,20);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(6,64);

			this.Fame = Utility.Random(2500,2499);
			this.Karma = Utility.Random(-2500,-2499);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 80.7;// Skill 1st
			MaxTameSkill = 104.7;// Skill 5th
		}

		public override int Hides{ get{ return 12; } }
		public override HideType HideType{ get{ return HideType.Spined; } }

		public Lavalizard(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x5A; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x5B; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x5C; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x5D; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x5E; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}