/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 5.1
Skill 3rd 11.1
Skill 4th 17.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a hare corpse")]
	public class Rabbit : BaseCreature
	{
		[Constructable]
		public Rabbit() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			if ( 0.5 >= Utility.RandomDouble() )
				Hue = Utility.RandomAnimalHue();

			Body = 205;
			Name = "a rabbit";
			VirtualArmor = 6;

			this.InitStats((10),Utility.Random(26,13),Utility.Random(10,5));

			this.Skills[SkillName.Wrestling].Base = (6);
			this.Skills[SkillName.Tactics].Base = (5);
			this.Skills[SkillName.MagicResist].Base = (5);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = - 0.9;// Skill 1st
			MaxTameSkill = 23.1;// Skill 5th
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 4; } }

		public Rabbit(Serial serial) : base(serial)
		{
		}

		public override int GetAttackSound() 
		{ 
			return 0xC9; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xCA; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xCB; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}