/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 5.1
Skill 3rd 11.1
Skill 4th 17.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a sewer rat corpse")]
	public class Sewerrat : BaseCreature
	{
		[Constructable]
		public Sewerrat() : base(AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			this.Body = 238;
			this.Name = ("a sewer rat");
			this.VirtualArmor = 6;

			this.InitStats((10),(25),(10));

			this.Skills[SkillName.Wrestling].Base = (6);
			this.Skills[SkillName.Tactics].Base = (5);
			this.Skills[SkillName.MagicResist].Base = (5);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = -0.9;// Skill 1st
			MaxTameSkill = 23.1;// Skill 5th
		}

		public override int Meat{ get{ return 1; } }

		public Sewerrat(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xCC; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xCD; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xCE; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xCF; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xD0; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}