using System;
using Server;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a bird corpse" )]
	public class Bird : BaseCreature
	{
		[Constructable]
		public Bird() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			Body = 6;
			Name = NameList.RandomBirdName();
			BaseSoundID = 0x1B;

			VirtualArmor = Utility.RandomMinMax( 0, 6 );

			SetStr( 10 );
			SetDex( 25, 35 );
			SetInt( 10 );

			SetSkill( SkillName.Wrestling, 4.2, 6.4 );
			SetSkill( SkillName.Tactics, 4.0, 6.0 );
			SetSkill( SkillName.MagicResist, 4.0, 5.0 );

			SetFameLevel( 1 );
			SetKarmaLevel( 0 );

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = - 0.9;// Skill 1st
			MaxTameSkill = 23.1;// Skill 5th
		}

		public override int Meat{ get{ return 1; } }
		public override int Feathers{ get{ return 25; } }

		public Bird( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		} 
	}
}