using System; 
using Server.Items; 
using Server.Targeting; 
using System.Collections; 

namespace Server.Mobiles 
{ 
   [CorpseName( "a frost spider corpse" )] 
   public class FrostSpider : BaseCreature 
   { 
      [Constructable] 
      public FrostSpider() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 
         Body = 20; 
         Name = "a frost spider"; 
         BaseSoundID = 387; 

         SetStr( 76, 100 ); 
         SetDex( 126, 145 ); 
         SetInt( 36, 60 ); 
         SetSkill( SkillName.Wrestling, 55, 68 ); 
         SetSkill( SkillName.Tactics, 36, 49 ); 
         SetSkill( SkillName.MagicResist, 25, 39 ); 
         SetSkill( SkillName.Poisoning, 60, 79 ); 

         VirtualArmor = 28; 
         SetFameLevel( 1 ); 
         SetKarmaLevel( 1 ); 
          
            PackItem( new SpidersSilk(7)); 
            PackItem( new Gold( 10, 50 )); 

         Tamable = true; 
         MaxTameSkill = 98.7; 
         MinTameSkill = 74.7; 
      } 

      public FrostSpider( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
 

