using System; 
using System.Collections; 
using Server.Items; 
using Server.ContextMenus; 
using Server.Misc; 
using Server.Network; 

namespace Server.Mobiles 
{ 
	public class Executioner : BaseCreature 
	{ 
		[Constructable] 
		public Executioner() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
		{ 

			SpeechHue = Utility.RandomDyedHue(); 
			Title = "the executioner"; 
			Kills = 30; 
			Hue = Utility.RandomSkinHue(); 

			if ( this.Female = Utility.RandomBool() ) 
			{ 
				this.Body = 0x191; 
				this.Name = NameList.RandomFemaleName(); 
				AddItem( new Skirt( Utility.RandomRedHue() ) ); 
			} 
			else 
			{ 
				this.Body = 0x190; 
				this.Name = NameList.RandomMaleName(); 
				AddItem( new ShortPants( Utility.RandomRedHue() ) ); 
			} 
    
			SetStr( 389, 394 ); 
			SetDex( 151, 165 ); 
			SetInt( 161, 174 ); 
			SetSkill( SkillName.Wrestling,10, 10); 
			SetSkill( SkillName.Tactics,125, 125); 
			SetSkill( SkillName.MagicResist, 87, 88 ); 
			SetSkill( SkillName.Anatomy,125, 125);  


			SetFameLevel( 3 ); 
			SetKarmaLevel( 3 ); 
			VirtualArmor = 40; 

			AddItem( new ThighBoots( Utility.RandomRedHue() ) ); 
			AddItem( new Surcoat( Utility.RandomRedHue() ) );    
			AddItem( new ExecutionersAxe()); 


			Item hair = new Item( Utility.RandomList( 0x203B, 0x2049, 0x2048, 0x204A ) ); 
			hair.Hue = Utility.RandomNondyedHue(); 
			hair.Layer = Layer.Hair; 
			hair.Movable = false; 
			AddItem( hair ); 

			PackItem( new Gold( 300, 350 ) );
		} 

		public Executioner( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 
}