using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "an orcish corpse" )]
	public class Orc : BaseCreature
	{
		[Constructable]
		public Orc() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 17;
			Name = NameList.RandomOrcName();
			BaseSoundID = 0x45A;

			SetStr( 96, 120 );
			SetDex( 82, 104 );
			SetInt( 36, 57 );
			SetSkill( SkillName.Wrestling, 56, 71 );
			SetSkill( SkillName.Tactics, 57, 77 );
			SetSkill( SkillName.MagicResist, 54, 71 );

			VirtualArmor = 28;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );
			

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new Scimitar() ); break;
			case 1: PackItem( new Katana() ); break;
			case 2: PackItem( new WarMace() ); break;
			case 3: PackItem( new WarHammer() ); break;
			case 4: PackItem( new Kryss() ); break;
			case 5: PackItem( new Pitchfork() ); break;
			}

				PackItem( new ThighBoots());
				PackItem( new Gold( 1, 50 ));
		}

		public override int Meat{ get{ return 1; } }

		public Orc( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
