using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a slimey corpse" )]
	public class Slime : BaseCreature
	{
		[Constructable]
		public Slime() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 51;
			Name = "a slime";
			BaseSoundID = 456;

			Hue = Utility.RandomSlimeHue();

			SetStr( 22, 34 );
			SetDex( 16, 21 );
			SetInt( 16, 20 );
			SetSkill( SkillName.Wrestling, 24, 34 );
			SetSkill( SkillName.Tactics, 17, 32 );
			SetSkill( SkillName.MagicResist, 15, 19 );

			VirtualArmor = 8;
			SetFameLevel( 1 );
			SetKarmaLevel( 1 );

			PackItem( new Gold( 1, 20 ));

			Tamable = true;
			MaxTameSkill = 47.1;
			MinTameSkill = 23.1;
		}

		public Slime( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
