using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an ophidian apprentice mages corpse" )]
	public class OphidianMage : BaseCreature
	{
		[Constructable]
		public OphidianMage() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 85;
			Name = "an ophidian apprentice mage";
			BaseSoundID = 639;

			SetStr( 183, 204 );
			SetDex( 191, 213 );
			SetInt( 97, 120 );
			SetSkill( SkillName.Wrestling, 35, 61 );
			SetSkill( SkillName.Tactics, 72, 78 );
			SetSkill( SkillName.MagicResist, 84, 88 );
			SetSkill( SkillName.Magery, 87, 98 );

			VirtualArmor = 30;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new AgilityPotion() ); break;
			case 1: PackItem( new LesserCurePotion() ); break;
			case 2: PackItem( new LesserHealPotion() ); break;
			case 3: PackItem( new LesserPoisonPotion() ); break;
			case 4: PackItem( new RefreshPotion() ); break;
			case 5: PackItem( new StrengthPotion() ); break;
			}

				PackItem( new Arrow( 10 ));
				PackItem( new Gold( 50, 150 ));

			// 30% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.3 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}

		}

		public OphidianMage( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
