using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a scorpion corpse" )] // on OSI this is "a giant scorpion corpse".. that sucks
	public class Scorpion : BaseCreature
	{
		[Constructable]
		public Scorpion() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 48;
			Name = "a scorpion";
			BaseSoundID = 397;

			SetStr( 82, 108 );
			SetDex( 78, 94 );
			SetInt( 17, 29 );
			SetSkill( SkillName.Wrestling, 57, 66 );
			SetSkill( SkillName.Tactics, 62, 73 );
			SetSkill( SkillName.MagicResist, 30, 34 );

			VirtualArmor = 28;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );

			PackItem( new Gold( 1, 50 ));

			Tamable = true;
			ControlSlots = 1;
			MinTameSkill = 47.1;
			MaxTameSkill = 71.1;
		}

		public Scorpion( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}