using System; 
using System.Collections; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBInnKeeper : SBInfo 
	{ 
		private ArrayList m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBInnKeeper() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override ArrayList BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : ArrayList 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( BreadLoaf ), 5, 10, 0x103B, 0 ) ); 
				Add( new GenericBuyInfo( typeof( CheeseWheel ), 12, 10, 0x97E, 0 ) ); 
				Add( new GenericBuyInfo( typeof( PitcherAle ), 11, 20, 0x1f95, 0 ) ); 
				Add( new GenericBuyInfo( typeof( PitcherCider ), 13, 10, 0x1f97, 0 ) ); 
				Add( new GenericBuyInfo( typeof( PitcherLiquor ), 11, 10, 0x1f99, 0 ) ); 
				Add( new GenericBuyInfo( typeof( PitcherWine ), 11, 20, 0x1f9b, 0 ) ); 
				Add( new GenericBuyInfo( typeof( BottleWine ), 7, 10, 0x9c7, 0 ) ); 
				Add( new GenericBuyInfo( typeof( BottleAle ), 7, 10, 0x99f, 0 ) );             
				Add( new GenericBuyInfo( typeof( BottleLiquor ), 7, 10, 0x99b, 0 ) ); 
				Add( new GenericBuyInfo( typeof( GlassCider ), 3, 10, 0x1f7d, 0 ) ); 
				Add( new GenericBuyInfo( typeof( GlassLiquor ), 3, 10, 0x1f85, 0 ) ); 
				Add( new GenericBuyInfo( typeof( GlassMilk ), 3, 20, 0x1f89, 0 ) ); 
				Add( new GenericBuyInfo( typeof( GlassWine ), 3, 20, 0x1f8d, 0 ) ); 
				Add( new GenericBuyInfo( typeof( PitcherWater ), 3, 20, 0x1f9d, 0 ) ); 
				Add( new GenericBuyInfo( typeof( GlassWater ), 2, 20, 0x1f91, 0 ) ); 
				Add( new GenericBuyInfo( typeof( CookedBird ), 17, 20, 0x9b7, 0 ) ); 
				Add( new GenericBuyInfo( typeof( LambLeg ), 8, 20, 0x160a, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Backpack ), 15, 20, 0x9b2, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Pear ), 3, 20, 0x994, 0x461 ) ); 
				Add( new GenericBuyInfo( typeof( Apple ), 3, 20, 0x9d0, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Grapes ), 3, 20, 0x9D1, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Peach ), 3, 20, 0x9D2, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Ribs ), 12, 20, 0x9F2, 0x461 ) ); 
			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
			public InternalSellInfo() 
			{ 
				Add( typeof( BreadLoaf ), 2 ); 
				Add( typeof( CheeseWheel ), 6 ); 
				Add( typeof( PitcherAle ), 5 ); 
				Add( typeof( PitcherCider ), 6 ); 
				Add( typeof( PitcherLiquor ), 5 ); 
				Add( typeof( PitcherWine ), 5 ); 
				Add( typeof( BottleWine ), 3 ); 
				Add( typeof( BottleAle ), 3 ); 
				Add( typeof( BottleLiquor ), 3 ); 
				Add( typeof( GlassCider ), 1 ); 
				Add( typeof( GlassLiquor ), 1 ); 
				Add( typeof( GlassMilk ), 1 ); 
				Add( typeof( GlassWine ), 1 ); 
				Add( typeof( PitcherWater ), 1 ); 
				Add( typeof( GlassWater ), 1 ); 
				Add( typeof( CookedBird ), 8 ); 
				Add( typeof( LambLeg ), 4 ); 
				Add( typeof( Backpack ), 7 ); 
				Add( typeof( Pear ), 1 ); 
				Add( typeof( Apple ), 1 ); 
				Add( typeof( Grapes ), 1 ); 
				Add( typeof( Peach ), 1 ); 
				Add( typeof( Ribs ), 6 ); 
			} 
		} 
	} 
}